Debian Bug report logs - #519704
Needs to be reuploaded for ghc-6.10

version graph

Package: haskell-http; Maintainer for haskell-http is Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>;

Reported by: Joachim Breitner <nomeata@debian.org>

Date: Sat, 14 Mar 2009 14:27:01 UTC

Severity: serious

Found in version 30010004-3

Fixed in version haskell-http/30010105-0.1

Done: <jgoerzen@complete.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Arjan Oosting <arjan@debian.org>:
Bug#519704; Package haskell-http. (Sat, 14 Mar 2009 14:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
New Bug report received and forwarded. Copy sent to Arjan Oosting <arjan@debian.org>. (Sat, 14 Mar 2009 14:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Needs to be reuploaded for ghc-6.10
Date: Sat, 14 Mar 2009 15:27:32 +0100
Package: haskell-http
Version: 30010004-3
Severity: serious

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi Arjan,

I’m sure you are aware of this, but I still like it to have it tracked.
haskell-http is currently uninstallable and needs to be re-built against
ghc6-6.10

Thanks,
Joachim

- -- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.28-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkm7vtQACgkQ9ijrk0dDIGzF0QCdFi3WGHhsJ31hhg5KGqNzNbFq
xMUAn1RNTLDsYyID1mhiujvbCoHFnIWS
=cQcV
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Arjan Oosting <arjan@debian.org>:
Bug#519704; Package haskell-http. (Thu, 19 Mar 2009 00:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to Arjan Oosting <arjan@debian.org>. (Thu, 19 Mar 2009 00:57:02 GMT) Full text and rfc822 format available.

Message #10 received at 519704@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: 519704@bugs.debian.org
Subject: Chnanges for ghc6-6.10 required
Date: Thu, 19 Mar 2009 00:55:36 +0000
[Message part 1 (text/plain, inline)]
Hi,

FYI, a mere rebuild does not work:
https://buildd.debian.org/fetch.cgi?pkg=haskell-http;ver=30010004-3%2Bb1;arch=amd64;stamp=1237212155

Probably a new upstream release that is ghc-6.10 compatible is required.

Greetings,
Joachim

-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Arjan Oosting <arjan@debian.org>:
Bug#519704; Package haskell-http. (Mon, 06 Apr 2009 16:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Goerzen <jgoerzen@complete.org>:
Extra info received and forwarded to list. Copy sent to Arjan Oosting <arjan@debian.org>. (Mon, 06 Apr 2009 16:42:03 GMT) Full text and rfc822 format available.

Message #15 received at 519704@bugs.debian.org (full text, mbox):

From: John Goerzen <jgoerzen@complete.org>
To: 522766@bugs.debian.org, 519704@bugs.debian.org
Subject: Diff for NMU
Date: Mon, 6 Apr 2009 11:40:43 -0500
[Message part 1 (text/plain, inline)]

[http.diff (text/x-diff, attachment)]

Reply sent to <jgoerzen@complete.org>:
You have taken responsibility. (Tue, 07 Apr 2009 13:42:10 GMT) Full text and rfc822 format available.

Notification sent to Joachim Breitner <nomeata@debian.org>:
Bug acknowledged by developer. (Tue, 07 Apr 2009 13:42:10 GMT) Full text and rfc822 format available.

Message #20 received at 519704-close@bugs.debian.org (full text, mbox):

From: <jgoerzen@complete.org>
To: 519704-close@bugs.debian.org
Subject: Bug#519704: fixed in haskell-http 30010105-0.1
Date: Tue, 07 Apr 2009 13:17:05 +0000
Source: haskell-http
Source-Version: 30010105-0.1

We believe that the bug you reported is fixed in the latest version of
haskell-http, which is due to be installed in the Debian FTP archive:

haskell-http-doc_30010105-0.1_all.deb
  to pool/main/h/haskell-http/haskell-http-doc_30010105-0.1_all.deb
haskell-http_30010105-0.1.diff.gz
  to pool/main/h/haskell-http/haskell-http_30010105-0.1.diff.gz
haskell-http_30010105-0.1.dsc
  to pool/main/h/haskell-http/haskell-http_30010105-0.1.dsc
haskell-http_30010105.orig.tar.gz
  to pool/main/h/haskell-http/haskell-http_30010105.orig.tar.gz
libghc6-http-dev_30010105-0.1_i386.deb
  to pool/main/h/haskell-http/libghc6-http-dev_30010105-0.1_i386.deb
libghc6-http-prof_30010105-0.1_i386.deb
  to pool/main/h/haskell-http/libghc6-http-prof_30010105-0.1_i386.deb
libhugs-http_30010105-0.1_all.deb
  to pool/main/h/haskell-http/libhugs-http_30010105-0.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 519704@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
jgoerzen@complete.org (supplier of updated haskell-http package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 06 Apr 2009 11:22:12 -0500
Source: haskell-http
Binary: libghc6-http-dev libghc6-http-prof libhugs-http haskell-http-doc
Architecture: source i386 all
Version: 30010105-0.1
Distribution: unstable
Urgency: low
Maintainer: Arjan Oosting <arjan@debian.org>
Changed-By: jgoerzen@complete.org
Description: 
 haskell-http-doc - Haskell HTTP client library documentation
 libghc6-http-dev - GHC 6 libraries for the Haskell HTTP client library
 libghc6-http-prof - profiling libraries for the Haskell HTTP client library
 libhugs-http - Hugs libraries for the Haskell HTTP client library
Closes: 519704 522766
Changes: 
 haskell-http (30010105-0.1) unstable; urgency=low
 .
   * New upstream release that is compatible with GHC 6.10.
   * Rebuild with GHC 6.10.  Closes: #522766, #519704.
Checksums-Sha1: 
 2da9fae4113d97c2ccd5ce640128b21753f435c0 1613 haskell-http_30010105-0.1.dsc
 874da9dfb110b576cb911de417f474834383bafe 35791 haskell-http_30010105.orig.tar.gz
 71b3d602fbcb23bc914f99622ecbc0b22121ab12 7084 haskell-http_30010105-0.1.diff.gz
 f6935d9a9a37ab3fd6a97600cd70e08da3b3cdae 363990 libghc6-http-dev_30010105-0.1_i386.deb
 bfcb58eefc6d5382d040213178ae36c98a2ab1c6 372766 libghc6-http-prof_30010105-0.1_i386.deb
 7664f89875de099ae1534e4459ac4666eeddaf98 41134 libhugs-http_30010105-0.1_all.deb
 96bf624f5c5d39361e12f68baeb58a24ccf43664 36070 haskell-http-doc_30010105-0.1_all.deb
Checksums-Sha256: 
 f5bd5fa708cef7bbe37102709236b8033e07accd535671d1fa11f895d1d689b6 1613 haskell-http_30010105-0.1.dsc
 e34d9f979bafbbf2e45bf90a9ee9bfd291f3c67c291a250cc0a6378431578aeb 35791 haskell-http_30010105.orig.tar.gz
 2a9b23a6b1d5f02ebba3ed3b32aa71ca1f4941a53882f4522a41171a7643d8f7 7084 haskell-http_30010105-0.1.diff.gz
 ea0e82c7a3c07af45f5ea0a79eeb9735285608c0ae3ac4a7e454d8a7a7ee270b 363990 libghc6-http-dev_30010105-0.1_i386.deb
 afbb64d4de06ca2c0f486527e79d5df30d67c5173c1d0cd477e726eb7430e94a 372766 libghc6-http-prof_30010105-0.1_i386.deb
 8e665e7c3989b5afecdf2dc39700ccfef07cf663a9f4634d9de33dd0814048b0 41134 libhugs-http_30010105-0.1_all.deb
 058567778205da504a838977003334b37552a3c470a5c2007c8c59171104c98d 36070 haskell-http-doc_30010105-0.1_all.deb
Files: 
 d3bb3fa8fcde9a65b34be72abd5a4d50 1613 net optional haskell-http_30010105-0.1.dsc
 28f68138bc026f14e61c5dbdb9b6f990 35791 net optional haskell-http_30010105.orig.tar.gz
 40cd987874e56a6847ddb3f9e1c5701f 7084 net optional haskell-http_30010105-0.1.diff.gz
 2097c1305b9145756077b8f9891ee198 363990 libdevel optional libghc6-http-dev_30010105-0.1_i386.deb
 e1c405ecc865c10b924b0c89e3eb37c4 372766 libdevel optional libghc6-http-prof_30010105-0.1_i386.deb
 82f7d2d4c9ba94d05bc9b8a79f9fa6fe 41134 devel optional libhugs-http_30010105-0.1_all.deb
 02959ea093864023b2638ff64f900f95 36070 doc optional haskell-http-doc_30010105-0.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAknbUBAACgkQthyt9Q6V7ktQlgCfVof5Uz551IgfxKdQcCFO8qpt
eKMAn2G16qJA+cHKxT+QdmeikCH2Qv8h
=+d1z
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Mar 2011 07:40:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 05:19:06 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.